package sorting;

public class PivotFirst implements PivotStrategy
{
    /**
     * Pick the first element as the pivot and move it to the right.
     * @return the pivot value.
     */
    public Integer choosePivot(Integer[] a, int left, int right, Stats stats) 
    {
        // Place the pivot at position right.
        Utilities.swapReferences(a, left, right);
        stats.moves += 2;
        
        return a[right];
    }
}
