package sorting;

public interface SortingAlgorithm<AnyType> 
{
    /**
     * Sort an array.
     * @param a the array to sort.
     * @return sorting statistics.
     */
    public Stats sort(AnyType a[]);
    
    /**
     * Sort a linked list.
     * @param list the list to sort.
     * @return sorting statistics.
     */
    public Stats sort(MyLinkedList<AnyType> list);
}
