package sorting;

import java.util.ArrayList;

public class GenerateUnsortedUnique implements ArrayGenerator
{
    /**
     * Generate a unsorted Integer array of unique random values.
     * @param n the number of elements.
     * @return the array.
     */
    public Integer[] generate(int n)
    {
        java.util.Random r = new java.util.Random();
        ArrayList<Integer> list = new ArrayList<>(n);
        
        int i = 0;
        do {
            int data = r.nextInt();
            
            if (!list.contains(data)) {
                list.add(data);
                i++;
            }
        } while (i < n);
            
        return list.toArray(new Integer[n]);
    }
}
